* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
01.03.2014 11:06
76230    
husokz

[2] Girişimci

Online Durumu

6 ileti
Mühendis
Almaty

Alıntı
waytooraider :
Tek kelimeyle harika.Elinize aklınıza sağlık.

Saygılarımla.

01.03.2014 11:06
76231    
husokz

[2] Girişimci

Online Durumu

6 ileti
Mühendis
Almaty

üstadım yardımcı olursanız sevinirim!
acxl.VLX uzantılı lisp yüklüyorum, yüklesemde excel'e nasıl aktarılacağını çözemedim...
yani kısacası beceremdim,,, lütfen yardımcı olun!!!

02.03.2014 03:05
76235    
ProhibiT

[80] Yetkili

Online Durumu

1469 ileti
İnşaat Mühendisi
Ankara

Appload komtunu kullanarak veya AutoCAD komut satırından (Load "acxL.cLx) girerek programı yükleyin. AutoCAD komut satırından ACXL girin.

Where there is a will, there is a way... Beğenmek için anlamak lazım...

04.11.2014 12:23
78993    
saidcan

[2] Girişimci

Online Durumu

1 ileti
Öğrenci
İstanbul

Çok işe yarayan bir Lisp elinize sağlık.

03.06.2015 18:17
81567    
sisecam

[2] Girişimci

Online Durumu

13 ileti
teknik ressam
mersin

Merhabalar;
Çok başarılı bir lisp oldu kısa ve öz ama ben istiyorumki;
autocad te ayrı ayrı textler olsun mesela proje adı gibi.
bunları benim seçeceğim excel dosyasında mesela tıkladığım 1 hücreye yazsın.
bu mümkünmüdür.
Konuyu hortlattım ama ..
teşekkür ediyorum.
saygılar.

07.07.2015 09:38
81698    
ysezgul

[2] Girişimci

Online Durumu

8 ileti
harita mühendisi
istanbul

Alıntı
ProhibiT :
Kod:

(defun c:TExP (/ fL Tx n)
  (setvar "cmdecho" 0) (command "_.undo" "group")
  (setq fL (open (getfiled "Çıkış Kütüğü" "" "xls" 9) "w")
        Tx (ssget (list (cons 0 "*Text"))) n -1)
  (while (< (setq n (1+ n)) (sslength Tx))
    (write-line (cdr (assoc 1 (entget (ssname Tx n)))) fL))
  (close fL) (command "_.undo" "e") (prin1))

Seçilen objeler seçim sırasına göre veya gurup halinde seçilmişlerse, oluşturulma sırasının tersi sırada yazılırlar.
Excel ile dosyayı açarken bir hata mesajıyla karşılaşırsanız, Evet (Yes) seçerek devam edilmelidir.



Üstad,
peki seçim sırasını seçilen text objelerinin oluşturulma sırasına göre veya biraz daha özelleştirirsek text objelerinin üzerinden çizilecek bir fence'e bağlı hale getirmek çok mu zahmetli olacaktır?

07.07.2015 09:52
81699    
Travaci

[70] Editör

Online Durumu

2097 ileti
Teknik Ressam
Konstantinopol

ysezgul


Objeleri seçmenizi istediğinde fence komutunu çalıştırabilirsiniz.

07.07.2015 10:08
81700    
ysezgul

[2] Girişimci

Online Durumu

8 ileti
harita mühendisi
istanbul

çok teşekkür ederim. komut satırında görmeyince düşünemedim.

25.08.2015 18:31
81949    
mekserkan

[2] Girişimci

Online Durumu

1 ileti
teknik ressam
istanbul

Merhaba Şahin bey; rusça karakterli yazılarda excel e atarken "\U+0421\U+0442\U+0430\U+043A" tarzında kodlayarak atıyor. Bu konuda yardımcı olur musunuz?

Aşağıdaki paylaştığım lisp te de benzer sorunla karşılaşıyorum. Onda da soru işaretleri oluyr bütün rusça fontlar...

Bu arada çok cömert ve fedakar paylaşımlar yapıyorsunuz. Teşekkürler.



Linkleri görebilmek için ÜYE olmalısınız.

29.01.2016 17:50
82835    
şahnaz

[8] Kıdemli Uzman

Online Durumu

199 ileti
inşaat teknikeri
istanbul

Herkese merhabalar
Prohibit Hoca nın verdiği ilk lispi kullandım. Fakat acemiliğimden olsa gerek Excel de "nil" diye bir ifade çıktı. Acaba neyi yanlış yapıyorum?
Durumumu özetlemem gerekirse 233 adet fore kazığım var ve bunların tüm koordinatlarını girmem lazım.
Şimdiden teşekkürler.

19.09.2016 22:07
83895    
macros55

[5] Uzman

Online Durumu

87 ileti
Haritaci
Ankara

elinize saglık çok iyi bir lisp.hocam lispe şöyle bir ilave yapmak olurmu excel dosyasına ilave etmezden önce soru olsun txt excel de A1 hanesinden satırla yoksa sütunla devam etsin.bazen enlem bazen boylam txt oluyor...önceden tşk-ler hocam

12.11.2016 11:00
84158    
onderasla

[2] Girişimci

Online Durumu

1 ileti
MÜHENDİS
ANKARA

174410-txxl.rar linkinden dosyayı indirdim ancak rar şifresi nedir?

16.03.2018 15:50
86151    
onderbengu05

[2] Girişimci

Online Durumu

13 ileti

Alıntı
ProhibiT :
Kod:

(defun c:TExP (/ fL Tx n)
  (setvar "cmdecho" 0) (command "_.undo" "group")
  (setq fL (open (getfiled "Çıkış Kütüğü" "" "xls" 9) "w")
        Tx (ssget (list (cons 0 "*Text"))) n -1)
  (while (< (setq n (1+ n)) (sslength Tx))
    (write-line (cdr (assoc 1 (entget (ssname Tx n)))) fL))
  (close fL) (command "_.undo" "e") (prin1))

Seçilen objeler seçim sırasına göre veya gurup halinde seçilmişlerse, oluşturulma sırasının tersi sırada yazılırlar.
Excel ile dosyayı açarken bir hata mesajıyla karşılaşırsanız, Evet (Yes) seçerek devam edilmelidir.

16.03.2018 15:51
86152    
onderbengu05

[2] Girişimci

Online Durumu

13 ileti

ProhibiT


Sayın Hocam,
Attribute text için nasıl bir yönerge yazabiliriz. Selamlar...


Travaci (16.03.2018 16:29 GMT)

16.03.2018 16:01
86154    
Travaci

[70] Editör

Online Durumu

2097 ileti
Teknik Ressam
Konstantinopol

onderbengu05


Kod:

(defun c:ATxP (/ fL Tx n)
  (if (setq n -1 Tx (ssget (list (cons 0 "ATTDEF"))))
    (if (setq fL (getfiled "Çikis Kütügü" "" "xls" 9))
      (progn
        (setq fL (open fL "w"))
        (while (< (setq n (1+ n)) (sslength Tx))
          (write-line (cdr (assoc 2 (entget (ssname Tx n)))) fL))
        (close fL)
      )
    )
  ) (prin1)
)

16.03.2018 16:14
86155    
onderbengu05

[2] Girişimci

Online Durumu

13 ileti

Travaci


Öncelikle teşekkür ederim. Lakin lisp attribute blockları seçmiyor explode edince iş görüyor.
ZwCadden mi kaynaklanıyor tam anlayamadım.


Travaci (16.03.2018 16:28 GMT)

16.03.2018 16:28
86157    
Travaci

[70] Editör

Online Durumu

2097 ileti
Teknik Ressam
Konstantinopol

Hayır ZwCad de sorun yok, siz attribute text yazınca bende böyle yaptım.


Travaci (16.03.2018 17:22 GMT)

16.03.2018 16:39
86159    
onderbengu05

[2] Girişimci

Online Durumu

13 ileti

Block attribute içeriğini excele atmak için attfef yerine hangi komutu yazmalıyız.


Travaci (16.03.2018 16:56 GMT)

16.03.2018 17:05
86161    
Travaci

[70] Editör

Online Durumu

2097 ileti
Teknik Ressam
Konstantinopol

Öyle bir komut yok, komutlar zinciri yazman lazım.
ZwCad de varsa Dataextraction komutunu kullanın.

16.03.2018 17:10
86162    
onderbengu05

[2] Girişimci

Online Durumu

13 ileti

Alıntı
Travaci :
Öyle bir komut yok, komutlar zinciri yazman lazım.
ZwCad de varsa Dataextraction komutunu kullanın.


Maalesef Zwcadde bu komut yok. Hatırlarsanız dynamic block length lispini de adapte edememiştim. Yine de teşekkür ederim. Ama komutlar zinciri yazmak bugünkü bilgilerimle pek mümkün değil. Selamlar...

Copyright © 2004-2018 | Tüm Hakları Saklıdır | 521 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam